---
icon: lucide:bookmark
navigation: true
title: Introduction
main:
  fluid: false
---
:ellipsis{left=0px width=40rem top=10rem blur=140px}
## A Home Lab by a Beginner, for Beginners

![](/img/serveex/serveex-server.svg)  

**Serveex** is primarily a personal project aimed at hosting as many everyday services as possible at home, without relying on proprietary platforms (Google, Apple, Netflix, etc.). The goal was to experiment, learn, and document every step along the way. This is purely a scientific project and is not intended for production use.

A big thanks to **Nipah** for sharing his infinite knowledge and, above all, for his patience.

::alert{type="info"}
**Prerequisites:**
:::list{type="primary"}
- Have [an online VPS](https://www.it-connect.fr/les-serveurs-prives-virtuels-vps-pour-les-debutants/) or a local machine: ideally a mini PC (you can find N100 models for around €100), but it also works on a laptop or [a virtual machine](https://openclassrooms.com/fr/courses/2035806-virtualisez-votre-architecture-et-vos-environnements-de-travail/6313946-installez-virtualbox). The [Freebox Delta/Ultra offer virtual machines](https://next.ink/3493/machines-virtuelles-et-freebox-delta-comment-heberger-votre-premiere-page-web/).
- Know how to configure [NAT rules on a router and assign DHCP leases](/general/nat)
- Know how to configure the [DNS zone of a domain name](/general/dns)
:::
::

<p align="center">
<img src="/img/serveex/serveex.svg" align="center" width="700">

The goal is to be easily deployable and easy to migrate, so here is its structure:

::card-grid{grid-template-columns="repeat(2, minmax(0, 1fr));"}
#title
The Core of the Server

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=logos:debian}
  #title
  __Operating System__
  #description
  [Install and configure Debian 12](/serveex/core/installation)
  ::
 
  ::card{icon=logos:docker-icon}
  #title
  __Container Engine__
  #description
  [Install Docker](/serveex/core/docker)
  ::

  ::card{icon=carbon:container-registry style="color: rgb(41, 194, 243);" }
  #title
  __Docker GUI__
  #description
  [Install and deploy Dockge](/serveex/core/docker#installer-dockge-pour-gérer-et-déployer-les-conteneurs)
  ::
  
  ::card{icon=noto:globe-showing-americas}
  #title
  __Reverse Proxy__
  #description
  [Expose your services with SWAG](/serveex/core/swag)
  ::
::

::card-grid
#title
Security

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=simple-icons:wireguard style="color: #88171a;"}
  #title
  __VPN__
  #description
  [Install and deploy Wireguard](/serveex/security/wireguard)
  ::
 
  ::card{icon=noto:key}
  #title
  __SSO & MFA__
  #description
  [Install and deploy Authentik](/serveex/security/authentik)
  ::

  ::card{icon=logos:cloudflare-icon}
  #title
  __Zero Trust__
  #description
  [Install and deploy Cloudflared](/serveex/security/cloudflare)
  ::
::

::card-grid
#title
Monitoring

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=solar:pulse-linear style="color: rgb(99, 222, 144);"}
  #title
  __Service Status__
  #description
  [Install and deploy Uptime-Kuma](/serveex/monitoring/uptime-kuma)
  ::
 
  ::card{icon=lucide:logs style="color: #1AD6FF;"}
  #title
  __Log Management__
  #description
  [Install and deploy Dozzle](/serveex/monitoring/dozzle)
  ::

  ::card{icon=noto:rabbit style="color: #1AD6FF;"}
  #title
  __Connection Management__
  #description
  [Install and deploy Speedtest Tracker](/serveex/monitoring/speedtest-tracker)
  ::

  ::card{icon=lucide:chart-column-decreasing style="color:rgb(26, 255, 213);"}
  #title
  __Resource Status__
  #description
  [Install and deploy Beszel](/serveex/monitoring/beszel)
  ::

  ::card{icon=lucide:circle-power style="color:rgb(228, 117, 117);"}
  #title
  __Wake on Lan__
  #description
  [Install and deploy UpSnap](/serveex/monitoring/upsnap)
  ::
::

::card-grid
#title
Media

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=cbi:plex-alt style="color: rgb(229, 160, 13);"}
  #title
  __Media__
  #description
  [Install and deploy Plex](/serveex/media/plex)
  ::
 
  ::card{icon=cbi:qbittorrent style="color: rgb(#2f67ba);"}
  #title
  __Seedbox__
  #description
  [Install and deploy Qbittorrent](/serveex/media/qbittorrent)
  ::
::

::card-grid
#title
Cloud Drive & Photos

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=cib:nextcloud style="color: rgb(0, 104, 161);"}
  #title
  __Drive__
  #description
  [Install and deploy Nextcloud](/serveex/cloud/nextcloud)
  ::
 
  ::card{icon=simple-icons:immich style="color: #ed79b5;"}
  #title
  __Photos__
  #description
  [Install and deploy Immich](/serveex/cloud/immich)
  ::
::

::card-grid
#title
Files & Sharing

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=noto:open-file-folder }
  #title
  __File Explorer__
  #description
  [Install and deploy file-browser](/serveex/files/file-browser)
  ::

  ::card{icon=carbon:share style="color: #47428e;" }
  #title
  __Sharing__
  #description
  [Install and deploy Pingvin](/serveex/files/pingvin)
  ::

::

::card-grid
#title
Development Tools

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=logos:visual-studio-code}
  #title
  __Visual Studio Code__
  #description
  [Install and deploy code-server](/serveex/development/code-server)
  ::
 
  ::card{icon=simple-icons:gitea style="color: #9ee773;"}
  #title
  __Git Repository__
  #description
  [Install and deploy Gitea](/serveex/development/gitea)
  ::

  ::card{icon=noto:hammer-and-wrench }
  #title
  __Tools__
  #description
  [Install and deploy IT Tools](/serveex/development/it-tools)
  ::
::

::card-grid
#title
Useful Applications

#root
:ellipsis{left=0px width=40rem top=10rem blur=140px}

#default
 
  ::card{icon=cbi:adguard style="color: #67b279;"}
  #title
  __Ad-blocking DNS and Filters__
  #description
  [Install and deploy Adguard Home](/serveex/apps/adguard)
  ::
 
  ::card{icon=cbi:bitwarden style="color: rgb(25 128 255);" }
  #title
  __Password Manager__
  #description
  [Install and deploy Vaultwarden](/serveex/apps/vaultwarden)
  ::
::

## Coming Soon
---
- Homepage, to have all your services at a glance and access them easily
- Mkdocs for your documentation
- Docus, an alternative to Mkdocs
- UpSnap to remotely wake your machines
